import { ComponentFixture, TestBed } from '@angular/core/testing';
import { UsersComponent } from './users.component';
import { MatTableModule } from '@angular/material/table';
import { MatDialogModule } from '@angular/material/dialog';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ToastrService } from 'ngx-toastr';
import { of } from 'rxjs';
import { NO_ERRORS_SCHEMA } from '@angular/core'; 

class MockUserService {
  getUsers() {
    return of({
      'hydra:member': [
        { id: 1, username: 'user1', allowedOrganizationalUnits: [], roles: ['admin'] },
        { id: 2, username: 'user2', allowedOrganizationalUnits: [], roles: ['user'] }
      ]
    });
  }
}

describe('UsersComponent', () => {
  let component: UsersComponent;
  let fixture: ComponentFixture<UsersComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [UsersComponent],
      imports: [
        MatTableModule,
        MatDialogModule,
        HttpClientTestingModule,
      ],
      providers: [
        { useClass: MockUserService },
        { provide: ToastrService, useValue: { success: () => {} } }, 
      ],
      schemas: [NO_ERRORS_SCHEMA], 
    })
    .compileComponents();

    fixture = TestBed.createComponent(UsersComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

});
